Remove exits from install scripts

This commit is contained in:
Henrik Lissner 2017-04-25 19:54:39 -04:00
parent ec8850ec70
commit 1b4d8f9ec7
8 changed files with 8 additions and 18 deletions

View file

@ -2,7 +2,6 @@
if [[ -d "$HOME/.pyenv" ]]; then if [[ -d "$HOME/.pyenv" ]]; then
>&2 echo "~/.pyenv already exists, can't install." >&2 echo "~/.pyenv already exists, can't install."
exit 1
else else
git clone https://github.com/yyuu/pyenv.git $HOME/.pyenv git clone https://github.com/yyuu/pyenv.git $HOME/.pyenv
fi fi

View file

@ -2,7 +2,6 @@
if [[ -d "$HOME/.rbenv" ]]; then if [[ -d "$HOME/.rbenv" ]]; then
>&2 echo "~/.rbenv already exists, can't install." >&2 echo "~/.rbenv already exists, can't install."
exit 1
else else
git clone https://github.com/rbenv/rbenv.git $HOME/.rbenv git clone https://github.com/rbenv/rbenv.git $HOME/.rbenv
git clone https://github.com/rbenv/ruby-build.git $HOME/.rbenv/plugins/ruby-build git clone https://github.com/rbenv/ruby-build.git $HOME/.rbenv/plugins/ruby-build

View file

@ -2,7 +2,7 @@
case $OSTYPE in case $OSTYPE in
darwin*) darwin*)
command -v nvim >/dev/null || brew install --HEAD neovim/neovim/neovim command -v nvim >/dev/null || brew install --HEAD neovim/neovim/neovim
;; ;;
linux*) linux*)
if [[ -f /etc/arch-release ]]; then if [[ -f /etc/arch-release ]]; then

View file

@ -1,7 +1,5 @@
#!/usr/bin/env bash #!/usr/bin/env bash
command -v nvim >/dev/null || exit
if [[ -d "$HOME/.vim" ]]; then if [[ -d "$HOME/.vim" ]]; then
cd "$HOME/.vim" cd "$HOME/.vim"
make update make update

View file

@ -7,9 +7,6 @@ case $OSTYPE in
linux*) linux*)
if [[ -f /etc/arch-release ]]; then if [[ -f /etc/arch-release ]]; then
sudo pacman --needed --noconfirm -S make vim sudo pacman --needed --noconfirm -S make vim
elif [[ -f /etc/debian_version ]]; then
# TODO
exit 1
fi fi
;; ;;
esac esac

View file

@ -9,7 +9,6 @@ case $OSTYPE in
sudo pacman --needed --noconfirm -S vim sudo pacman --needed --noconfirm -S vim
elif [[ -f /etc/debian_version ]]; then elif [[ -f /etc/debian_version ]]; then
sudo apt-get install -y vim sudo apt-get install -y vim
exit 1
fi fi
;; ;;
esac esac

View file

@ -1,7 +1,5 @@
#!/bin/bash #!/bin/bash
command -v git >/dev/null && command -v hub >/dev/null && exit
case "$OSTYPE" in case "$OSTYPE" in
darwin*) darwin*)
brew install git hub brew install git hub
@ -11,8 +9,10 @@ case "$OSTYPE" in
sudo pacman --needed --noconfirm -S git hub sudo pacman --needed --noconfirm -S git hub
elif [[ -f /etc/debian-version ]]; then elif [[ -f /etc/debian-version ]]; then
sudo apt-get install -y git sudo apt-get install -y git
mkdir -p $HOME/builds && cd $HOME/builds if ! command -v hub >/dev/null; then
git clone https://github.com/github/hub.git && cd hub mkdir -p $HOME/builds && cd $HOME/builds
make install prefix=/usr/local git clone https://github.com/github/hub.git && cd hub
make install prefix=/usr/local
fi
fi fi
esac esac

View file

@ -1,14 +1,12 @@
#!/bin/bash #!/bin/bash
command -v hg >/dev/null && exit case $OSTYPE in
case "$OSTYPE" in
darwin*) darwin*)
brew install mercurial brew install mercurial
;; ;;
linux*) linux*)
if [ -f /etc/arch-release ]; then if [ -f /etc/arch-release ]; then
sudo pacman --noconfirm -S mercurial sudo pacman --needed --noconfirm -S mercurial
elif [ -f /etc/debian-version ]; then elif [ -f /etc/debian-version ]; then
sudo apt-get -y mercurial sudo apt-get -y mercurial
fi fi